SoMFBool(3)

NAME
SoMFBool - The SoMFBool class is a container for SbBool values.

SYNOPSIS

#include <Inventor/fields/SoMFBool.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFBool & operator= (const SoMFBool &field)
virtual SbBool isSame (const SoField &field) const
SbBool operator[] (const int idx) const
const SbBool * getValues (const int start) const
int find (SbBool value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbBool *newvals)
void set1Value (const int idx, SbBool value)
void setValue (SbBool value)
SbBool operator= (SbBool val)
SbBool operator== (const SoMFBool &field) const
SbBool operator!= (const SoMFBool &field) const
SbBool * startEditing (void)
void finishEditing (void)
void setValuesPointer (const int num, const SbBool *userdata)
void setValuesPointer (const int num, SbBool *userdata)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbBool * values

  Additional Inherited Members

Detailed Description

The SoMFBool class is a container for SbBool values. This field is used where nodes, engines or other field containers need to store multiple boolean on/off or TRUE/FALSE values.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also
    SoSFBool

Member Function Documentation

  void * SoMFBool::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFBool::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFBool::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFBool::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFBool::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFBool::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFBool::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbBool * SoMFBool::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFBool::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.